name: Jordan Thomas
start_date: 2021-07-26
locality: Mt. Pleasant, SC
country: United States
role: <a href="">Director, Public Sector Customer Success</a>
reports_to: bstevens1
picture: jordanthomas.jpg
pronouns:
pronunciation:
twitter:
linkedin:
gitlab: jordanthomas
departments:
  - Customer Success
specialty: 
expertise:
story:

